#include "Vertex.h"

Vertex::Vertex( vec3 coords, vec3 diffuse, vec3 specular, vec3 emissive, double shininess, vec3 normal ) : 
	coords( coords ), normal( normal ), 
	mat( Material( diffuse, specular, emissive, shininess ) ) {}

Vertex & Vertex::operator = ( const Vertex & rhs )
{
	this->coords = rhs.coords;
	this->normal = rhs.normal;
	this->mat = rhs.mat;

	return *this;
}

