// Image.cpp: implementation of the Image class.
//
//////////////////////////////////////////////////////////////////////

#include "Image.h"

Image::Image() 
:width(0), height(0), data(NULL) 
{
}

Image::~Image() {
		if (data != NULL) {
			delete data;
			data = NULL;
			width = 0;
			height = 0;
		}
	}

int Image::getWidth() {return width;}
int Image::getHeight() {return height;}
unsigned char* Image::getData() {return data;}

void Image::setData(unsigned char* _data, int width, int height )
{
	data = _data;
	this->width = width;
	this->height = height;
}

#include <iostream>
using namespace std;
