#ifndef VERTEX_H_
#define VERTEX_H_

#include "nv_math.h"
#include "nv_algebra.h"
#include "Material.h"

class Vertex
{
public:
	vec3 coords;
	vec3 normal;
	Material mat;

	Vertex( vec3 coords, vec3 diffuse, vec3 specular, vec3 emissive, double shininess, vec3 normal = vec3( 0.0, 0.0, 0.0 ) );

	Vertex & operator = ( const Vertex &rhs );
};

#endif

